Subject: Re: [dhcwg] Last Call: <draft-ietf-dhc-option-guidelines-14.txt> (Guidelines for Creating New DHCPv6 Options) to Best Current Practice

From: Kevin Darcy <[email-masked]>
Date: Thu, 19 Sep 2013 19:01:41 -0400

What would be the preferred way to provide a mixed list of IPv4 and IPv6 
addresses, in a DHCPv6 option? IPv4-mapped addresses?

Or, is it assumed that any service which can be reached over IPv4 or 
IPv6 by any given (dual-stack) client would use DNS FQDNs exclusively, 
rather than addresses?

By the way, the list of RFCs enumerated in Section 5.1 includes both 
4075 and 5908, but since 5908 deprecates 4075, it seems like only 1 of 
them should be in any given (normative) list, not both.

                 - Kevin

On 9/19/2013 5:54 PM, The IESG wrote:
> The IESG has received a request from the Dynamic Host Configuration WG
> (dhc) to consider the following document:
> - 'Guidelines for Creating New DHCPv6 Options'
>    <draft-ietf-dhc-option-guidelines-14.txt> as Best Current Practice
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2013-10-03. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
>
> Abstract
>
>
>     This document provides guidance to prospective DHCPv6 Option
>     developers to help them creating option formats that are easily
>     adoptable by existing DHCPv6 software.  This document updates
>     RFC3315.
>
>
>
>
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-dhc-option-guidelines/
>
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-dhc-option-guidelines/ballot/
>
>
> No IPR declarations have been submitted directly on this I-D.
>
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>
>
>

---

From: Ted Lemon <[email-masked]>
Date: Sun, 22 Sep 2013 10:15:59 -0400

On Sep 19, 2013, at 7:01 PM, Kevin Darcy <[email-masked]> wrote:
> What would be the preferred way to provide a mixed list of IPv4 and IPv6 addresses, in a DHCPv6 option? IPv4-mapped addresses?

The preferred way would be not to do that.   I think there is a document floating around out there somewhere that uses IPv4-mapped addresses this way, but in general if you are configuring an IPv4 stack, you ought to be using DHCPv4.   Otherwise DHCPv6 winds up being a transition technology in perpetuum.

To be clear, you definitely should not expect a DHCPv6 client to do something meaningful with an arbitrary IPv4-mapped IPv6 address.   It's anybody's guess where this would clog the plumbing, but it almost certainly wouldn't work.